For the complete documentation index, see llms.txt. This page is also available as Markdown.

CACM Global Cost Settings

Get/set cost preferences for CACM features

Get cost settings for a CACM feature

get

Get cost settings for a CACM feature

Query parameters
accountIdentifierstringOptional
featurestring · enumRequired

The CACM feature to get settings for

Possible values:
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/cost-settings
GET /gateway/ccm/api/cost-settings?feature=ANOMALIES HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Update cost settings for a CACM feature

put

Update cost settings for a CACM feature

Query parameters
accountIdentifierstringOptional
Body
uuidstringOptional
accountIdstringOptional
createdAtinteger · int64Optional
lastUpdatedAtinteger · int64Optional
featurestring · enumRequiredPossible values:
awsCostTypestring · enumRequired

Show AWS Cost As

Possible values:
azureCostTypestring · enumOptionalPossible values:
gcpCostTypestring · enumOptional

Show GCP Cost As

Possible values:
includeAwsBenefitsbooleanOptional
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
put/cost-settings
PUT /gateway/ccm/api/cost-settings HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Content-Type: application/json
Accept: */*
Content-Length: 508

{
  "uuid": "text",
  "accountId": "text",
  "createdAt": 1,
  "lastUpdatedAt": 1,
  "createdBy": {
    "uuid": "text",
    "name": "text",
    "email": "text",
    "externalUserId": "text"
  },
  "lastUpdatedBy": {
    "uuid": "text",
    "name": "text",
    "email": "text",
    "externalUserId": "text"
  },
  "feature": "ANOMALIES",
  "awsCostType": "AMORTISED",
  "azureCostType": "ACTUAL",
  "gcpCostType": "COST",
  "includeAwsBenefits": true,
  "accountScopedPreferences": [
    {
      "awsAccountId": "text",
      "awsCloudAccountNameWithId": "text",
      "awsCostType": "AMORTISED",
      "savingsEstimationMode": "AFTER_DISCOUNTS"
    }
  ]
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Last updated

Was this helpful?